.flexlayout__layout {
  --color-text: black;
  --color-background: white;
  --color-base: white;
  --color-1: #f7f7f7;
  --color-2: #f0f0f0;
  --color-3: #e9e9e9;
  --color-4: #e2e2e2;
  --color-5: #dbdbdb;
  --color-6: #d4d4d4;
  --color-drag1: red;
  --color-drag2: green;
  --font-size: medium;
  --font-family: Roboto, Arial, sans-serif;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  position: absolute;
  overflow: hidden;
}
.flexlayout__splitter {
  background-color: var(--color-1);
}
@media (hover: hover) {
  .flexlayout__splitter:hover {
    transition: background-color ease-in 0.1s;
    transition-delay: 0.05s;
    background-color: var(--color-4);
  }
}
.flexlayout__splitter_border {
  z-index: 10;
}
.flexlayout__splitter_drag {
  z-index: 1000;
  background-color: var(--color-4);
}
.flexlayout__splitter_extra {
  background-color: transparent;
}
.flexlayout__outline_rect {
  position: absolute;
  pointer-events: none;
  box-sizing: border-box;
  border: 2px solid var(--color-drag1);
  box-shadow: inset 0 0 60px rgba(0, 0, 0, 0.2);
  border-radius: 5px;
  z-index: 1000;
}
.flexlayout__outline_rect_edge {
  pointer-events: none;
  border: 2px solid var(--color-drag2);
  box-shadow: inset 0 0 60px rgba(0, 0, 0, 0.2);
  border-radius: 5px;
  z-index: 1000;
  box-sizing: border-box;
}
.flexlayout__edge_rect {
  position: absolute;
  z-index: 1000;
  box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.2);
  background-color: gray;
  pointer-events: none;
}
.flexlayout__drag_rect {
  position: absolute;
  cursor: move;
  color: var(--color-text);
  background-color: var(--color-1);
  border: 2px solid var(--color-4);
  box-shadow: inset 0 0 60px rgba(0, 0, 0, 0.3);
  border-radius: 5px;
  z-index: 1000;
  box-sizing: border-box;
  opacity: 0.9;
  text-align: center;
  display: flex;
  justify-content: center;
  flex-direction: column;
  overflow: hidden;
  padding: 10px;
  word-wrap: break-word;
  font-size: var(--font-size);
  font-family: var(--font-family);
}
.flexlayout__tabset {
  overflow: hidden;
  background-color: var(--color-1);
  box-sizing: border-box;
  font-size: var(--font-size);
  font-family: var(--font-family);
  background-color: var(--color-background);
}
.flexlayout__tabset_header {
  position: absolute;
  display: flex;
  align-items: center;
  left: 0;
  right: 0;
  padding: 3px 3px 3px 5px;
  box-sizing: border-box;
  border-bottom: 1px solid var(--color-3);
  color: var(--color-text);
  background-color: var(--color-background);
}
.flexlayout__tabset_header_content {
  flex-grow: 1;
}
.flexlayout__tabset_tabbar_outer {
  box-sizing: border-box;
  background-color: var(--color-1);
  position: absolute;
  left: 0;
  right: 0;
  overflow: hidden;
  display: flex;
  background-color: var(--color-background);
}
.flexlayout__tabset_tabbar_outer_top {
  border-bottom: 1px solid var(--color-3);
}
.flexlayout__tabset_tabbar_outer_bottom {
  border-top: 1px solid var(--color-3);
}
.flexlayout__tabset_tabbar_inner {
  position: relative;
  box-sizing: border-box;
  display: flex;
  flex-grow: 1;
  overflow: hidden;
}
.flexlayout__tabset_tabbar_inner_tab_container {
  display: flex;
  box-sizing: border-box;
  position: absolute;
  top: 0;
  bottom: 0;
  width: 10000px;
}
.flexlayout__tabset_tabbar_inner_tab_container_top {
  border-top: 2px solid transparent;
}
.flexlayout__tabset_tabbar_inner_tab_container_bottom {
  border-bottom: 2px solid transparent;
}
.flexlayout__tabset-selected {
  background-color: var(--color-1);
}
.flexlayout__tabset-maximized {
  background-color: var(--color-6);
}
.flexlayout__tab {
  overflow: auto;
  position: absolute;
  box-sizing: border-box;
  color: var(--color-text);
  background-color: var(--color-background);
}
.flexlayout__tab_button {
  display: flex;
  align-items: center;
  box-sizing: border-box;
  padding: 3px 8px;
  margin: 0px 2px;
  cursor: pointer;
}
.flexlayout__tab_button--selected {
  background-color: var(--color-3);
  color: var(--color-text);
}
@media (hover: hover) {
  .flexlayout__tab_button:hover {
    background-color: var(--color-3);
    color: var(--color-text);
  }
}
.flexlayout__tab_button--unselected {
  color: gray;
}
.flexlayout__tab_button_leading {
  display: flex;
}
.flexlayout__tab_button_content {
  display: flex;
}
.flexlayout__tab_button_textbox {
  border: none;
  font-family: var(--font-family);
  font-size: var(--font-size);
  color: var(--color-text);
  background-color: var(--color-5);
  border: 1px inset var(--color-1);
  border-radius: 3px;
}
.flexlayout__tab_button_textbox:focus {
  outline: none;
}
.flexlayout__tab_button_trailing {
  display: flex;
  margin-left: 8px;
  min-width: 8px;
  min-height: 8px;
}
@media (pointer: coarse) {
  .flexlayout__tab_button_trailing {
    min-width: 20px;
    min-height: 20px;
  }
}
@media (hover: hover) {
  .flexlayout__tab_button:hover .flexlayout__tab_button_trailing {
    background: transparent url('../images/close.png') no-repeat center;
  }
}
.flexlayout__tab_button--selected .flexlayout__tab_button_trailing {
  background: transparent url('../images/close.png') no-repeat center;
}
.flexlayout__tab_button_overflow {
  margin-left: 10px;
  padding-left: 12px;
  border: none;
  color: gray;
  font-size: inherit;
  background: transparent url('../images/more2.png') no-repeat left;
}
.flexlayout__tab_toolbar {
  display: flex;
  align-items: center;
}
.flexlayout__tab_toolbar_button {
  min-width: 20px;
  min-height: 20px;
  border: none;
  outline: none;
}
.flexlayout__tab_toolbar_button-min {
  background: transparent url('../images/maximize.png') no-repeat center;
}
.flexlayout__tab_toolbar_button-max {
  background: transparent url('../images/restore.png') no-repeat center;
}
.flexlayout__tab_toolbar_button-float {
  background: transparent url('../images/popout.png') no-repeat center;
}
.flexlayout__tab_toolbar_button-close {
  background: transparent url('../images/close.png') no-repeat center;
}
.flexlayout__tab_toolbar_sticky_buttons_container {
  display: flex;
  align-items: center;
}
.flexlayout__tab_floating {
  overflow: auto;
  position: absolute;
  box-sizing: border-box;
  color: var(--color-text);
  background-color: var(--color-background);
  display: flex;
  justify-content: center;
  align-items: center;
}
.flexlayout__tab_floating_inner {
  overflow: auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.flexlayout__tab_floating_inner div {
  margin-bottom: 5px;
  text-align: center;
}
.flexlayout__tab_floating_inner div a {
  color: royalblue;
}
.flexlayout__border {
  box-sizing: border-box;
  overflow: hidden;
  display: flex;
  font-size: var(--font-size);
  font-family: var(--font-family);
  background-color: var(--color-background);
}
.flexlayout__border_top {
  border-bottom: 1px solid var(--color-3);
  align-items: center;
}
.flexlayout__border_bottom {
  border-top: 1px solid var(--color-3);
  align-items: center;
}
.flexlayout__border_left {
  border-right: 1px solid var(--color-3);
  align-content: center;
  flex-direction: column;
}
.flexlayout__border_right {
  border-left: 1px solid var(--color-3);
  align-content: center;
  flex-direction: column;
}
.flexlayout__border_inner {
  position: relative;
  box-sizing: border-box;
  display: flex;
  overflow: hidden;
  flex-grow: 1;
}
.flexlayout__border_inner_tab_container {
  white-space: nowrap;
  display: flex;
  box-sizing: border-box;
  position: absolute;
  top: 0;
  bottom: 0;
  width: 10000px;
}
.flexlayout__border_inner_tab_container_right {
  transform-origin: top left;
  transform: rotate(90deg);
}
.flexlayout__border_inner_tab_container_left {
  flex-direction: row-reverse;
  transform-origin: top right;
  transform: rotate(-90deg);
}
.flexlayout__border_button {
  display: flex;
  align-items: center;
  cursor: pointer;
  padding: 3px 8px;
  margin: 2px;
  box-sizing: border-box;
  white-space: nowrap;
  background-color: var(--color-2);
}
.flexlayout__border_button--selected {
  background-color: var(--color-3);
  color: var(--color-text);
}
@media (hover: hover) {
  .flexlayout__border_button:hover {
    background-color: var(--color-3);
    color: var(--color-text);
  }
}
.flexlayout__border_button--unselected {
  color: gray;
}
.flexlayout__border_button_leading {
  display: flex;
}
.flexlayout__border_button_content {
  display: flex;
}
.flexlayout__border_button_trailing {
  display: flex;
  margin-left: 8px;
  min-width: 8px;
  min-height: 8px;
}
@media (pointer: coarse) {
  .flexlayout__border_button_trailing {
    min-width: 20px;
    min-height: 20px;
  }
}
@media (hover: hover) {
  .flexlayout__border_button:hover .flexlayout__border_button_trailing {
    background: transparent url('../images/close.png') no-repeat center;
  }
}
.flexlayout__border_button--selected .flexlayout__border_button_trailing {
  background: transparent url('../images/close.png') no-repeat center;
}
.flexlayout__border_toolbar {
  display: flex;
  align-items: center;
}
.flexlayout__border_toolbar_left {
  flex-direction: column;
}
.flexlayout__border_toolbar_right {
  flex-direction: column;
}
.flexlayout__border_toolbar_button {
  min-width: 20px;
  min-height: 20px;
  border: none;
  outline: none;
}
.flexlayout__border_toolbar_button-float {
  background: transparent url('../images/popout.png') no-repeat center;
}
.flexlayout__border_toolbar_button_overflow {
  border: none;
  padding-left: 12px;
  color: gray;
  font-size: inherit;
  background: transparent url('../images/more2.png') no-repeat left;
}
.flexlayout__border_toolbar_button_overflow_top,
.flexlayout__border_toolbar_button_overflow_bottom {
  margin-left: 10px;
}
.flexlayout__border_toolbar_button_overflow_right,
.flexlayout__border_toolbar_button_overflow_left {
  padding-right: 0px;
  margin-top: 5px;
}
.flexlayout__popup_menu {
  font-size: var(--font-size);
  font-family: var(--font-family);
}
.flexlayout__popup_menu_item {
  margin: 2px;
  padding: 2px 10px 2px 10px;
  white-space: nowrap;
  cursor: pointer;
  border-radius: 2px;
}
@media (hover: hover) {
  .flexlayout__popup_menu_item:hover {
    background-color: var(--color-6);
  }
}
.flexlayout__popup_menu_container {
  box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.15);
  border: 1px solid var(--color-6);
  color: var(--color-text);
  background: var(--color-background);
  border-radius: 3px;
  position: absolute;
  z-index: 1000;
  max-height: 50%;
  min-width: 100px;
  overflow: auto;
}
.flexlayout__floating_window _body {
  height: 100%;
}
.flexlayout__floating_window_content {
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  position: absolute;
}
.flexlayout__floating_window_tab {
  overflow: auto;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  position: absolute;
  box-sizing: border-box;
  background-color: var(--color-background);
  color: var(--color-text);
}
.flexlayout__error_boundary_container {
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  position: absolute;
  display: flex;
  justify-content: center;
}
.flexlayout__error_boundary_content {
  display: flex;
  align-items: center;
}
.flexlayout__tabset_sizer {
  padding-top: 5px;
  padding-bottom: 3px;
  font-size: var(--font-size);
  font-family: var(--font-family);
}
.flexlayout__tabset_header_sizer {
  padding-top: 3px;
  padding-bottom: 3px;
  font-size: var(--font-size);
  font-family: var(--font-family);
}
.flexlayout__border_sizer {
  padding-top: 6px;
  padding-bottom: 5px;
  font-size: var(--font-size);
  font-family: var(--font-family);
}

/*# sourceMappingURL=light.css.map */

.Resizer {
  background: #000;
  opacity: 0.2;
  z-index: 1;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -moz-background-clip: padding;
  -webkit-background-clip: padding;
  background-clip: padding-box;
}

.Resizer:hover {
  -webkit-transition: all 2s ease;
  transition: all 2s ease;
}

.Resizer.horizontal {
  height: 11px;
  margin: -5px 0;
  border-top: 5px solid rgba(255, 255, 255, 0);
  border-bottom: 5px solid rgba(255, 255, 255, 0);
  cursor: row-resize;
  width: 100%;
}

.Resizer.horizontal:hover {
  border-top: 5px solid rgba(0, 0, 0, 0.5);
  border-bottom: 5px solid rgba(0, 0, 0, 0.5);
}

.Resizer.vertical {
  width: 11px;
  margin: 0 -5px;
  border-left: 5px solid rgba(255, 255, 255, 0);
  border-right: 5px solid rgba(255, 255, 255, 0);
  cursor: col-resize;
}

.Resizer.vertical:hover {
  border-left: 5px solid rgba(0, 0, 0, 0.5);
  border-right: 5px solid rgba(0, 0, 0, 0.5);
}
.Resizer.disabled {
  cursor: not-allowed;
}
.Resizer.disabled:hover {
  border-color: transparent;
}

body {
  overflow: hidden;
}

div.notebook {
}

.note {
  border: 1px dashed dodgerblue;
  margin: 4px 4px;
  padding: 4px 4px;
}

.note.log {
  font-family: 'Arial Black', Gadget, sans-serif;
  color: blue;
}

.note.error {
  font-family: 'Arial Black', Gadget, sans-serif;
  color: red;
}

.note.view {
}

.note.edit {
  border-radius: 6px;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12),
    0 3px 1px -2px rgba(0, 0, 0, 0.2);
  font-family: 'Source Code Pro', monospace;
  font-size: 14px;
  font-weight: 400;
  // height: 340px;
  letter-spacing: normal;
  line-height: 20px;
  padding: 10px;
  tab-size: 4;
}

img.note.view {
  border: 1px dashed dodgerblue;
  margin: 4px 4px;
  padding: 4px 4px;
}

.note.orbitView {
  width: 100%;
  height: 100%;
}

button.note.download {
  border: 2px solid black;
  border-radius: 5px;
  margin: 4px 4px;
  padding: 10px 24px;
  font-size: 16px;
  cursor: pointer;
  border-color: #2196f3;
  color: dodgerblue;
}

button.note.download:hover {
  background: #2196f3;
  color: white;
}

button.note.print {
  border: 2px solid black;
  border-radius: 5px;
  background-color: white;
  margin: 4px 4px;
  padding: 10px 24px;
  height: 21px;
  font-size: 16px;
  cursor: pointer;
  border-color: #2196f3;
  color: dodgerblue;
}

button.note.print:hover {
  background: #2196f3;
  color: white;
}

.note th,
td {
  border: 1px solid dodgerblue;
  padding: 5px;
}

.ace_string {
  color: #002852 !important;
}

div.ace_lineWidgetContainer {
  background-color: #ffffec;
}

.progress-marker {
  position: absolute;
  background-color: #c4fff7;
}
